Summary:	A backend data gatherer for Cacti
Summary(pl.UTF-8):	Backend gromadzący dane dla Cacti
Name:		cacti-spine
Version:	0.8.8b
Release:	2
License:	GPL
Group:		Daemons
Source0:	http://www.cacti.net/downloads/spine/%{name}-%{version}.tar.gz
# Source0-md5:	245eef2561a4939006cba8991a3ad6d5
Patch0:		%{name}-paths.patch
# Official patches http://www.cacti.net/spine_download_patches.php
URL:		http://www.cacti.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libcap-devel
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.502
BuildRequires:	zlib-devel
%requires_eq	net-snmp-libs
Requires:	cacti
Obsoletes:	cacti-cactid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		cacti
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_bindir		%{_sbindir}

%description
A backend data gatherer for Cacti. This package represents the future
replacement for Cacti's cmd.php. It is almost 100% compatible with the
legacy cmd.php processor.

%description -l pl.UTF-8
Backend gromadzący dane dla Cacti. Ten pakiet reprezentuje przyszły
zamiennik cmd.php z Cacti. Jest prawie w 100% kompatybilny ze starym
procesorem cmd.php.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
chmod +x ./configure
%configure \
	--with-results-buffer=4096 \
	--with-mysql \
	--enable-lcap \
	--with-snmp=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_sbindir}/{spine,cacti-poller-spine}
mv $RPM_BUILD_ROOT%{_sysconfdir}/spine.conf{.dist,}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/spine.conf
%attr(755,root,root) %{_sbindir}/cacti-poller-spine
%changelog
* Sun Jun 08 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cacti-spine.git;a=log;h=master

* Sun Jun 08 2014 Jan Rękorajski <baggins@pld-linux.org> a66b394
- release 2 (by relup.sh)

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> 8039649
- up to 0.8.8b

* Fri Dec 07 2012 Jan Rękorajski <baggins@pld-linux.org> 40fa55c
- release 2 (by relup.sh)

* Tue Oct 30 2012 Elan Ruusamäe <glen@delfi.ee> 7a09d87
- up to 0.8.8a

* Tue Oct 30 2012 Elan Ruusamäe <glen@delfi.ee> 0add81b
- up to 0.8.8

* Mon Jan 23 2012 Elan Ruusamäe <glen@pld-linux.org> e3fdb88
- up to 0.8.7i

* Fri Oct 28 2011 Elan Ruusamäe <glen@pld-linux.org> 7e97333
- up to 0.8.7h, enabled linux capatabilities support

* Thu Sep 29 2011 Sławomir Paszkiewicz <paszczus@pld-linux.org> 2dd08b4
- release 10

* Sat Jul 30 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c68d06
- release 9

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2801b7b
- release 8

* Tue Mar 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cd032af
- release 7

* Mon Jan 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ac37ad
- release 6

* Mon Nov 15 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> 03b0c85
- release 5

* Sun Oct 10 2010 Jarosław Skibiński <skibi@pld-linux.org> 5198fb7
- Add patches released on 2010/08/31 http://www.cacti.net/spine_download_patches.php

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> bd350f0
- obsolete cacti-cactid

* Tue Jul 13 2010 Elan Ruusamäe <glen@pld-linux.org> ff36f03
- release 2

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> 7af7b6b
- drop obsolete files

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> 632d1d1
- up to 0.8.7g

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 437b819
- release 5

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 9cb9344
- release 4

